#include <stdlib.h>

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <util/delay.h>

#include "afficheurs.h"



//================================================================
//Global Variables
//================================================================

uint8_t display_data[4] = {0XFF,0XFF,0X00,0XFF}; //données contenant les 6 caractères à afficher


//main pour afficheurs 
	
int afficheurs_main(){

    init_afficheurs();
    write_led_numbers(display_data);
    return 0;

}


void init_afficheurs(void)
{
    //1 = output, 0 = input
	//Setup the AVR I/O
	DDRD |= (1<<CS_AFFICHEURS);
        DDRB |= (1<<MOSI)|(1<<SCK);
        
        //mettre DDRD |= (1<<CS_AFFICHEURS); car le cs_afficheurs est sur DDRD
        //mettre DDRB |= (1<<MOSI)|(1<<SCK);

	SPCR = (1<<SPE)|(1<<MSTR)|(1<<SPR0)|(1<<SPR1);//active le bus spi en mode Master
    
}


void write_led_numbers(uint8_t* tab)
{
  cbi(PORTD, CS_AFFICHEURS); //active la ligne de selection des afficheurs en état Low
  // mettre cbi(PORTD, CS_AFFICHEURS); CAR CS_AFFICHEURS SUR PORTD
  _delay_ms(1);
  int i;

  for(i=0; i<4; i++){

  spi_exch(tab[i]);//envoi des données aux afficheurs
  
 
  }
  _delay_ms(1);
  sbi(PORTD, CS_AFFICHEURS); //relache la ligne de selection en la remettant en état high
  _delay_ms(100);
}



